%global momorel 10

Summary: A Compact Disc Digital Audio (CDDA) extraction tool.
Name: cdparanoia
Version: alpha9.8
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.xiph.org/paranoia/
Group: Applications/Multimedia
Source: http://www.xiph.org/paranoia/download/%{name}-III-%{version}.src.tgz
NoSource: 0
Patch0: cdparanoia-III-alpha9.8.nostrip.patch
Patch1: cdparanoia-III-alpha9.8.labels.patch
Patch2: cdparanoia-III-alpha9.8.O_EXCL.patch
Patch3: cdparanoia-III-alpha9.8.cflags.patch
Patch4: cdparanoia-III-alpha9.8.sgio.patch
Patch5: cdparanoia-III-alpha9.8.verbose.patch
Patch6: cdparanoia-III-alpha9.8.louder.patch
Patch7: cdparanoia-III-alpha9.8.verbosity3.patch
Patch8: cdparanoia-III-alpha9.8.env.patch
Patch9: cdparanoia-III-alpha9.8.smalldma.patch
Patch10: cdparanoia-III-alpha9.8.lm.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Obsoletes: cdparanoia-III

%description
Cdparanoia (Paranoia III) reads digital audio directly from a CD, then
writes the data to a file or pipe in WAV, AIFC or raw 16 bit linear
PCM format.  Cdparanoia's strength lies in its ability to handle a
variety of hardware, including inexpensive drives prone to
misalignment, frame jitter and loss of streaming during atomic reads.
Cdparanoia is also good at reading and repairing data from damaged
CDs.

%package devel
Summary: A Compact Disc Digital Audio (CDDA) extraction tool. lib & header.
Group: System Environment/Libraries
Requires: %name = %version

%description devel
A Compact Disc Digital Audio (CDDA) extraction tool. lib & header.

%prep
%setup -q -n %{name}-III-%{version}

%patch4 -p1 -b .sgio
%patch0 -p1 -b .nostrip
%patch1 -p1 -b .labels
%patch2 -p1 -b .O_EXCL
%patch3 -p1 -b .cflags
%patch5 -p1 -b .verbose
%patch6 -p1 -b .louder
%patch7 -p1 -b .verbosity3
%patch8 -p1 -b .env
%patch9 -p1 -b .smalldma
%patch10 -p1 -b .lm

%build
%configure
%make  

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir} \
	INCLUDEDIR=%{buildroot}%{_includedir} LIBDIR=%{buildroot}%{_libdir}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README GPL
%{_bindir}/cdparanoia
%{_libdir}/lib*.so.*
%{_mandir}/man1/cdparanoia.1*

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_includedir}/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (alpha9.8-10m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (alpha9.8-9m)
- rebuild against gcc43

* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (alpha9.8-8m)
- merge FC patches
- add %%post and %%postun
- remove gcc34.patch

* Sun Feb  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (alpha9.8-7m)
- enable x86_64.

* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (alpha9.8-6m)
- add Patch0: cdparanoia-III-alpha9.8-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823] 

* Wed Nov  5 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (alpha9.8-5m)
- use %%{momorel}

* Fri Jun 22 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (alpha9.8-2k)
  update to alpha9.8

* Fri Dec  1 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (alpha9.7-10k)
- modified to use %{_mandir} macro

* Tue Aug 22 2000 Kenichi Matsubara <m@kondara.org>
- Change PATH (FHS)

* Sat Jul  8 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed Mar 1 2000 Masako Hattori <maru@kondara.org>
- change jman mv->cp

* Wed Feb 23 2000 Masako Hattori <maru@kondara.org>
- do not shake %{_mandir}/ja

* Mon Jan 31 2000 Masako Hattori <maru@kondara.org>
- add man-pages-ja-cdparanoia-20000115

* Sun Nov 28 1999 Masako Hattori <maru@kondara.org>
- add man-pages-ja-cdparanoia-19991115

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Fri Aug 20 1999 Preston Brown <pbrown@redhat.com>
- updated to 9.6, and added to base distribution
- changed name to just cdparanoia, obsoleting old -III suffix

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- updated package to cdparanoia-III-alpha9.5

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- updated pacakge

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- built package
